Bug 1028168 - Review Request: rubygem-expression_parser - A math parser
Review Request: rubygem-expression_parser - A math parser
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 14:53 EST by Ken Dreyer
Modified: 2013-12-13 22:33 EST (History)
1 user (show)

See Also:
Fixed In Version: rubygem-expression_parser-0.9.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 04:33:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Comment 1 Mamoru TASAKA 2013-11-16 14:29:51 EST
Taking.

I would appreciate it if you would review one of my review requests (e.g. bug 1031315 )
Comment 2 Mamoru TASAKA 2013-11-18 04:08:34 EST
Well, before review this, I cannot find out any text files or so which suggests the license of this gem. Would you tell me how you knew this is under MIT?
Comment 3 Ken Dreyer 2013-11-18 23:29:02 EST
Sure. I saw that there was an MIT-LICENSE file in upstream's Git repo. Also, I emailed both of the authors of the code to be doubly sure of the license. For completeness, I'm including copies of their emails in 0.9.0-2.

* Mon Nov 18 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.9.0-2
- Include email transcripts describing MIT license.

Exact change in Git: http://fedorapeople.org/cgit/ktdreyer/public_git/rubygem-expression_parser.git/commit/?id=92161c45495293a0e4690f315768f1481cf964b6

Spec URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-expression_parser.spec
SRPM URL: http://ktdreyer.fedorapeople.org/reviews/rubygem-expression_parser-0.9.0-2.fc21.src.rpm

F21 scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6196395
Comment 4 Mamoru TASAKA 2013-11-19 01:24:07 EST
Okay, now for -2:

* License text
  - Please include the mail confirmation text to the binary rpms
    (note that the emails will be anyway visible into public when 
    you include them into srpm and it is necessary)

* rpmlint cleanup
  - Please cleanup the following rpmlint (just replace macro in comments
    with %%)
-------------------------------------------------------
rubygem-expression_parser.src:53: W: macro-in-comment %{gem_instdir}
rubygem-expression_parser.src:53: W: macro-in-comment %{gem_name}
-------------------------------------------------------

Then I can approve this package.
Comment 5 Ken Dreyer 2013-11-19 01:30:23 EST
(In reply to Mamoru TASAKA from comment #4)
> * License text
>   - Please include the mail confirmation text to the binary rpms
>     (note that the emails will be anyway visible into public when 
>     you include them into srpm and it is necessary)

For this one, I think I'd rather include the MIT-LICENSE from Git upstream. What do you think?
Comment 6 Mamoru TASAKA 2013-11-19 21:48:38 EST
(In reply to Ken Dreyer from comment #5)
> (In reply to Mamoru TASAKA from comment #4)
> > * License text
> >   - Please include the mail confirmation text to the binary rpms
> >     (note that the emails will be anyway visible into public when 
> >     you include them into srpm and it is necessary)
> 
> For this one, I think I'd rather include the MIT-LICENSE from Git upstream.
> What do you think?

I am okay with that.
Comment 8 Mamoru TASAKA 2013-11-21 09:17:52 EST
One more issue:

* install command
-------------------------------------------
install -p %{SOURCE1} %{buildroot}%{gem_instdir}/MIT-LICENSE
-------------------------------------------
  - This causes the following rpmlint:
-------------------------------------------
rubygem-expression_parser.noarch: E: script-without-shebang /usr/share/gems/gems/expression_parser-0.9.0/MIT-LICENSE
-------------------------------------------
    Please fix this when importing this package into git (by specifying
    mode like install -p -m 0644)


----------------------------------------------
  This package (rubygem-expression_parser) is
  APPROVE by mtasaka
----------------------------------------------
Comment 9 Ken Dreyer 2013-11-21 11:59:54 EST
Whoops, thanks for pointing out the missing permissions on install. I'll fix this before importing.

Thanks mtasaka for the review!

New Package SCM Request
=======================
Package Name: rubygem-expression_parser
Short Description: A math parser
Owners: ktdreyer
Branches: f19 f20
Comment 10 Gwyn Ciesla 2013-11-21 13:24:57 EST
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-11-21 17:41:10 EST
rubygem-expression_parser-0.9.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-expression_parser-0.9.0-4.fc20
Comment 12 Fedora Update System 2013-11-21 17:42:56 EST
rubygem-expression_parser-0.9.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rubygem-expression_parser-0.9.0-4.fc19
Comment 13 Fedora Update System 2013-11-23 14:46:44 EST
rubygem-expression_parser-0.9.0-4.fc19 has been pushed to the Fedora 19 testing repository.
Comment 14 Fedora Update System 2013-12-02 04:33:48 EST
rubygem-expression_parser-0.9.0-4.fc19 has been pushed to the Fedora 19 stable repository.
Comment 15 Fedora Update System 2013-12-13 22:33:53 EST
rubygem-expression_parser-0.9.0-4.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.